summaryrefslogtreecommitdiff
path: root/meta/packages/webkit/files/autogen.sh
diff options
context:
space:
mode:
authorMarcin Juszkiewicz <hrw@openedhand.com>2008-01-30 21:12:28 +0000
committerMarcin Juszkiewicz <hrw@openedhand.com>2008-01-30 21:12:28 +0000
commit6324a8e01afdc7b19cc8b091503d78d8c75b0167 (patch)
tree6d4f7b0bca1651f74d4640a82b7aa0f76f7a6cfc /meta/packages/webkit/files/autogen.sh
parent5d57d6e1b2d3fa8ad11f798803d5d6d49f9af1c0 (diff)
downloadopenembedded-core-6324a8e01afdc7b19cc8b091503d78d8c75b0167.tar.gz
openembedded-core-6324a8e01afdc7b19cc8b091503d78d8c75b0167.tar.bz2
openembedded-core-6324a8e01afdc7b19cc8b091503d78d8c75b0167.tar.xz
openembedded-core-6324a8e01afdc7b19cc8b091503d78d8c75b0167.zip
webkit-gtk: merge with OE
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@3639 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'meta/packages/webkit/files/autogen.sh')
-rw-r--r--meta/packages/webkit/files/autogen.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/meta/packages/webkit/files/autogen.sh b/meta/packages/webkit/files/autogen.sh
new file mode 100644
index 000000000..b7f7d37b2
--- /dev/null
+++ b/meta/packages/webkit/files/autogen.sh
@@ -0,0 +1,40 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+cd $srcdir
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
+ echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
+ echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+rm -rf $top_srcdir/autom4te.cache
+
+touch README INSTALL
+
+aclocal || exit $?
+libtoolize --force || exit $?
+autoheader || exit $?
+automake --foreign --add-missing || exit $?
+autoconf || exit $?
+
+./configure $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?